aurora-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Zameer Manji (JIRA)" <j...@apache.org>
Subject [jira] [Assigned] (AURORA-941) Enforce gradle version in build.gradle
Date Thu, 20 Nov 2014 22:59:33 GMT

     [ https://issues.apache.org/jira/browse/AURORA-941?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Zameer Manji reassigned AURORA-941:
-----------------------------------

    Assignee: Zameer Manji

> Enforce gradle version in build.gradle
> --------------------------------------
>
>                 Key: AURORA-941
>                 URL: https://issues.apache.org/jira/browse/AURORA-941
>             Project: Aurora
>          Issue Type: Task
>            Reporter: Zameer Manji
>            Assignee: Zameer Manji
>            Priority: Minor
>
> In {{build.gradle}} we should check {{gradle.gradleVersion}} to ensure that the user
has the correct Gradle file.
> Currently if you run our build file with an older version of gralde you will get an unhelpful
exception like so:
> {noformat}
> FAILURE: Build failed with an exception.
> * Where:
> Build file '/private/tmp/apache-aurora-0.6.0-rc2-incubating/build.gradle' line: 443
> * What went wrong:
> A problem occurred evaluating root project 'apache-aurora-0.6.0-rc2-incubating'.
> > No such property: vcs for class: org.gradle.plugins.ide.idea.model.IdeaProject_Decorated
>   Possible solutions: ipr
> * Try:
> Run with --stacktrace option to get the stack trace. Run with --info or --debug option
to get more log output.
> BUILD FAILED
> Total time: 44.633 secs
> {noformat}



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message